Summary: Updated APIs for Document Generator. Updated APIs for Integration.

Document Generator

Link to the documentation

Document Generator (v v1)


What's New


GET /v1/generatedLivedocs/{generatedLivedocId}/trackedFields

Get the tracked fields

What's Deleted


GET /livedoc/v1/generatedLivedocs/{generatedLivedocId}/trackedFields

Get the tracked fields

Result


API changes broke backward compatibility


Integration

Link to the documentation

Integration (v v2)


Result


No differences. Specifications are equivalent

Summary: Updated APIs for Activity Logging. Updated APIs for Engagement Permission. Updated APIs for Engagement.

Activity Logging

Link to the documentation

Activity Logging (v v1)


Result


No differences. Specifications are equivalent


Engagement Permission

Link to the documentation

Engagement Permission (v v1)


Result


No differences. Specifications are equivalent


Engagement

Link to the documentation

Engagement (v v1)


Result


No differences. Specifications are equivalent

Summary: Updated APIs for Search.


Search

Link to the documentation

Search (v v1)


What's Changed


POST /v1/generative/source
Request:

Changed content type : application/json

  • Changed property filter (object)

    Use to filter the content. It uses the json format, like {"operator":"and", "conditions":[{"attribute":"custom.propert_a", "operator":"in", "value":["test"]}]}

    • Changed property operator (string)

      Value should be 'and' or 'or'

    • Changed property filters (array)

      One array contains multi filters

    • Changed property conditions (array)

      One array contain multi conditions
      Changed items (object):

      • Changed property attribute (string)

        Property name of content to be used in filter, for custom property, the value should be 'custom.{propertyName}'

      • Changed property operator (string)

        The value should be 'in', for date type property, its value should be 'greaterthan' 'greaterthanorequalto' 'lessthan' 'lessthanorequalto'

      • Changed property value (array)

        The values of the property

POST /v1/generative/query
Request:

Changed content type : application/json

  • Changed property filter (object)

    Use to filter the content. It uses the json format, like {"operator":"and", "conditions":[{"attribute":"custom.propert_a", "operator":"in", "value":["test"]}]}

    • Changed property operator (string)

      Value should be 'and' or 'or'

    • Changed property filters (array)

      One array contains multi filters

    • Changed property conditions (array)

      One array contain multi conditions
      Changed items (object):

      • Changed property attribute (string)

        Property name of content to be used in filter, for custom property, the value should be 'custom.{propertyName}'

      • Changed property operator (string)

        The value should be 'in', for date type property, its value should be 'greaterthan' 'greaterthanorequalto' 'lessthan' 'lessthanorequalto'

      • Changed property value (array)

        The values of the property

Result


API changes are backward compatible

Summary: Updated APIs for Document Generator Express. Updated APIs for Integration. Updated APIs for Search.

Document Generator Express

Link to the documentation

What's New


GET /livedocs-express/v2/teamsites/{teamsiteId}/batchInstances/{batchInstanceId}/downloadURLs

Get download URLs from job

What's Changed


GET /livedocs-express/v2/teamsites/{teamsiteId}/batches/{batchId}/variants
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property items (array)
      Changed items (object):
      • Added property adhocInputs (array)
        Items (object):
        • Property id (string)
        • Property name (string)
        • Property type (string)
        • Property value (string)
      • Added property properties (array)
        Items (object):
        • Property id (string)
        • Property name (string)
        • Property type (string)
        • Property values (array)
          Items (string):
PUT /livedocs-express/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}/variants/{variantId}
Request:

Changed content type : application/json

  • Changed property output (object)
    • Added property uploadTolibrary (boolean)
PUT /livedocs-express/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}/bulkVariants
Request:

Changed content type : application/json

  • Changed property output (object)
    • Added property uploadTolibrary (boolean)
GET /livedocs-express/v2/teamsites/{teamsiteId}/batchInstances/{batchInstanceId}/variantInstances
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Added property id (string)
    • Added property createdAt (string)
    • Added property createdBy (string)
    • Added property modifiedAt (string)
    • Added property modifiedBy (string)
    • Added property completedAt (string)
    • Added property teamsiteId (string)
    • Added property batchInstanceId (string)
    • Added property libraryContentId (string)
    • Added property libraryContentVersionId (string)
    • Added property content (object)
      • Property experts (array)
      • Property ownerId (string)
      • Property expiresAt (string)
      • Property externalId (string)
      • Property description (string)
      • Property parentFolderId (string)
      • Property parentFolderName (string)
      • Property externalConnectionId (string)
    • Added property output (object)
      • Property name (string)
      • Property format (string)
      • Property pptxOptions (object)
        • Property imageDpi (number)
        • Property clearNotes (boolean)
      • Property uploadTolibrary (boolean)
    • Added property status (string)
    • Added property error (string)
    • Added property document_uri (string)
    • Added property fileId (string)
    • Added property outputVersionId (string)
    • Added property outputVersion (string)
    • Added property livedocVersion (number)
    • Deleted property total (number)
    • Deleted property limit (number)
    • Deleted property offset (number)
    • Changed property items (array)
      Changed items (object):
      • Added property adhocInputs (array)
        Items (object):
        • Property id (string)
        • Property name (string)
        • Property type (string)
        • Property value (string)
      • Added property properties (array)
        Items (object):
        • Property id (string)
        • Property name (string)
        • Property type (string)
        • Property values (array)
      • Added property blobId (string)
      • Changed property output (object)
        • Added property uploadTolibrary (boolean)
GET /livedocs-express/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}/variants
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property items (array)
      Changed items (object):
      • Added property adhocInputs (array)
        Items (object):
        • Property id (string)
        • Property name (string)
        • Property type (string)
        • Property value (string)
      • Changed property content (object)
        • Added property properties (array)
          Items (object):
          • Property id (string)
          • Property name (string)
          • Property type (string)
          • Property values (array)
      • Changed property output (object)
        • Added property uploadTolibrary (boolean)
POST /livedocs-express/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}/variants
Request:

Changed content type : application/json
Changed items (object):

  • Changed property output (object)
    • Added property uploadTolibrary (boolean)
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    Changed items (object):
    • Changed property output (object)
      • Added property uploadTolibrary (boolean)
GET /livedocs-express/v2/teamsites/{teamsiteId}/batches
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property items (array)
      Changed items (object):
      • Added property LiveDocs (array)
        Items (object):
        • Property libraryContentId (string)
POST /livedocs-express/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}/variants/copy
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property items (array)
      Changed items (object):
      • Changed property output (object)
        • Added property uploadTolibrary (boolean)
GET /livedocs-express/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}/variantInstances
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property items (array)
      Changed items (object):
      • Added property blobId (string)
      • Changed property output (object)
        • Added property uploadTolibrary (boolean)
GET /livedocs-express/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}/variantInstances/{variantInstanceId}
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property items (array)
      Changed items (object):
      • Added property blobId (string)
      • Changed property output (object)
        • Added property uploadTolibrary (boolean)

Integration

Link to the documentation

What's Changed


GET /integration/v2/generatedLivedocs/{generatedLivedocId}
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property outputs (array)
      Changed items (object):
      • Deleted property errorString (string)
POST /integration/v2/teamsites/{teamsiteId}/livedocVersions/{libraryContentVersionId}
Parameters:

Changed: liveFormSellerTemplateId in query

This is an optional parameter. If a LiveFormSellerTemplateID is passed in, the LiveDoc will be generated based on the LiveForm Seller Template configuration, otherwise, the LiveDoc will be generated through input variables.


Search

Link to the documentation

What's Changed


POST /v1/content/query
Request:

Changed content type : application/json

  • Changed property options (object)
    • Added property enableSuggestedQueryResults (boolean)

      When true, if the initial search returns no results, the service will attempt to retrieve results based on related suggested terms

  • Changed property filter (object)
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json; charset=utf-8
    • Added property actualSearchTerm (string)

      The search term that was actually used to retrieve results when enableSuggestedQueryResults is true and suggested terms were used

    • Changed property documents (array)
      Changed items (object):
      • Added property pageThumbnailUrls (array)
        Items (string):

Summary: Updated APIs for Integration.

Integration

Link to the documentation

What's Changed


GET /integration/v2/generatedLivedocs/{generatedLivedocId}
Return Type:

Changed response : 200 OK

OK

  • Changed content type : application/json
    • Changed property outputs (array)
      Changed items (object):
      • Added property errorString (string)